Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.stats
Enum StatsUsageType

    java.lang.Object
      java.lang.Enum<StatsUsageType>
          com.gisgraphy.stats.StatsUsageType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StatsUsageType>

    public enum StatsUsageType

extends java.lang.Enum<StatsUsageType>

Represent all the types of stats

Author:
  David Masclet

Enum Constant Summary
`FULLTEXT`
`GEOLOC`

Method Summary
`static StatsUsageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StatsUsageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GEOLOC

    public static final StatsUsageType GEOLOC

### FULLTEXT

    public static final StatsUsageType FULLTEXT

Method Detail

### values

    public static final StatsUsageType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StatsUsageType c : StatsUsageType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StatsUsageType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.